Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.source
Class RichSourceElementImplTest

    java.lang.Object
      org.apache.torque.generator.source.RichSourceElementImplTest

    public class RichSourceElementImplTest

extends Object

Constructor Summary
`RichSourceElementImplTest()`

Method Summary
`void` | `setUp()`
`void` | `testAddChild()`
`void` | `testAddChildAtIndex()`
`void` | `testAddParent()`
`void` | `testCopySourceElement()`
`void` | `testGetChildIndex()`
`void` | `testGetNonExistingChildIndex()`
`void` | `testGetParents()`
`void` | `testRemoveChild()`
`void` | `testRemoveChildViaIterator()`
`void` | `testRemoveNonExistingChild()`
`void` | `testSetAttribute()`
`void` | `testSetAttributeToNull()`
`void` | `testToString()`
`void` | `testTreeEquals()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RichSourceElementImplTest

    public RichSourceElementImplTest()

Method Detail

### setUp

    public void setUp()

### testGetParents

    public void testGetParents()

### testAddChild

    public void testAddChild()

### testAddChildAtIndex

    public void testAddChildAtIndex()

### testRemoveChild

    public void testRemoveChild()

### testRemoveChildViaIterator

    public void testRemoveChildViaIterator()

### testRemoveNonExistingChild

    public void testRemoveNonExistingChild()

### testGetChildIndex

    public void testGetChildIndex()

### testGetNonExistingChildIndex

    public void testGetNonExistingChildIndex()

### testAddParent

    public void testAddParent()

### testTreeEquals

    public void testTreeEquals()

### testSetAttribute

    public void testSetAttribute()

### testSetAttributeToNull

    public void testSetAttributeToNull()

### testToString

    public void testToString()
                      throws Exception

  Throws:
    `Exception`

### testCopySourceElement

    public void testCopySourceElement()
                               throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.